// 本地开发环境
const local = {
  // web_pc: 'https://tyyx.bozedu.top/',
  // web_mobile: 'https://tyyxm.bozedu.top/',
  web_pc: 'https://yzy.dev.bozedu.net/',
  qqyxt: 'https://qqyxt.dev.bozedu.net/',
  yzy: 'https://yzy.dev.bozedu.net/',
  api:'https://openapi.dev.bozedu.net/',
  uc: 'https://uc.dev.bozedu.net/',
  origin: window.location.origin,
}

// 测试服环境
const development = {
  web_pc: 'https://yzy.dev.bozedu.net/',
  origin: window.location.origin,
  qqyxt: 'https://qqyxt.dev.bozedu.net/',
  yzy: 'https://yzy.dev.bozedu.net/',
  api:'https://openapi.dev.bozedu.net/',
  uc: 'https://uc.dev.bozedu.net/',
}

// // 正式服环境
const production = {
  web_pc: 'https://yzy.bozedu.net/',
  origin: window.location.origin,
  qqyxt: 'https://qqyxt.bozedu.net/',
  yzy: 'https://yzy.bozedu.net/',
  api:'https://openapi.bozedu.net/',
  uc: 'https://uc.bozedu.net/',
}

function isWhich() {
  if (window.location.href.startsWith(development.web_pc)) {
    return development
  } else if (window.location.href.startsWith(production.web_pc)) {
    return production
  } else {
    return local
  }
}
// window.GLOBAL_CONFIG = isWhich()


window.GLOBAL_CONFIG = isWhich()
